Download it now!
Bug 85238 - LibO takes built-in font preference list as precedence instead of fontconfig
Summary: LibO takes built-in font preference list as precedence instead of fontconfig
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 12:18 UTC by Tom Yan
Modified: 2017-07-27 12:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Yan 2014-10-20 12:18:37 UTC
Not sure about things in platform like Windows, but I think Libreoffice should honor fontconfig first when it exists in system.

It seems like a font preference list (http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu) is built into LO and fontconfig would only be honored when no fonts in the list is installed.

I noticed this because the new URW font release (http://git.ghostscript.com/?p=urw-core35-fonts.git) has switched to new font (family) names, so when I got this instead of the popular old "1.07pre44" release (http://svn.ghostscript.com/ghostscript/tags/urw-fonts-1.0.7pre44/), LO would not prefer "Nimbus Roman" (which was "Nimbus Roman No9 L") unless other fonts in the list like Dejavu are not installed, despite all fontconfig rules.
Comment 1 David Tardon 2015-06-08 14:47:21 UTC
VCL.xcu is only used on Windows.
Comment 2 Tom Yan 2015-06-09 06:25:01 UTC
I am not sure whether it's related to the VCL.xcu. The main point of this bug report is about the upstream font name changes of the Nimbus fonts. Though it is probably one of the files which need updates.

This fontconfig patch could be a reference:
http://cgit.freedesktop.org/fontconfig/commit/?id=b732bf057f4b3ec3bac539803005e9c42d056b2a

Here I can see in Linux, if the old version of Nimbus fonts are installed (named "Nimbus Roman No9 L" and "Nimbus Sans L"), LibreOffice will default to them (an example is `Options -> LibreOffice Writer -> Base Fonts (Western) -> Default`), but if the new version is installed instead (Named "Nimbus Roman" and "Nimbus Sans"), LibreOffice would default to Dejavu fonts instead.

For Writer, this can still be set manually in the option I mentioned above, but for other components similar option doesn't seem to exist.
Comment 3 tommy27 2015-06-24 12:29:15 UTC
let's move it back to UNCONFIRMED
@Tom Yan
is the issue still present in LibO 4.4.3.2?
Comment 4 Tom Yan 2015-06-24 13:09:23 UTC
Yes. I checked again last time with that version.
Comment 5 tommy27 2016-11-30 06:04:29 UTC
any news about 5.2.3.3? is issue still present or changed?
Comment 6 Buovjaga 2016-12-03 19:36:45 UTC
(In reply to tommy27 from comment #5)
> any news about 5.2.3.3? is issue still present or changed?

Or Tom could even test with 5.4 master, because Khaled has been doing fontconfig changes as recently as a couple of days ago.

http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@70-TDF/current/

https://wiki.documentfoundation.org/Installing_in_parallel/Linux

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 7 QA Administrators 2017-06-28 12:37:10 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-07-27 12:02:37 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170727